Wallet Infrastructure
Wallet Infrastructure
Bridges

Get bridge

GET
/v1/bridges/{id}

Requires scope transactions:read.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Path Parameters

id*unknown

Bridge id, from prepare or submit

Response Body

200application/json

Bridge

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
404application/json

No bridge with this id belongs to the API key's business

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X GET 'https://api.pilot.shiga.io/v1/bridges/{id}' \  -H 'Authorization: Bearer sk_test_...'
Example Response
{  "data": {    "bridgeId": "cca4409a-da51-4564-bde8-29efe705cbe3",    "chain": "base",    "destinationChain": "tron",    "safeAddress": "string",    "recipient": "string",    "asset": "usdt",    "amountIn": "string",    "amountOut": "string",    "minAmountOut": "string",    "bridgeFee": "string",    "provider": "across",    "status": "filled",    "userOpHash": "string",    "transactionHash": "string",    "depositId": "string",    "fillDeadlineAt": "2019-08-24T14:15:22Z",    "acceptedUserOpHash": "string",    "fillTransactionHash": "string",    "refundTransactionHash": "string",    "error": "string",    "createdAt": "2019-08-24T14:15:22Z",    "submittedAt": "2019-08-24T14:15:22Z",    "settledAt": "2019-08-24T14:15:22Z"  },  "status": 200,  "success": true}